summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/netbeans-standalone/Manifest4
-rw-r--r--dev-util/netbeans-standalone/netbeans-standalone-9999.ebuild11
2 files changed, 12 insertions, 3 deletions
diff --git a/dev-util/netbeans-standalone/Manifest b/dev-util/netbeans-standalone/Manifest
index bb20651d5..50062b6a0 100644
--- a/dev-util/netbeans-standalone/Manifest
+++ b/dev-util/netbeans-standalone/Manifest
@@ -1,4 +1,4 @@
DIST netbeans-standalone-11.1.zip 145993657 BLAKE2B 0c4fc85771e34749b6937dd57d000899a596aa78955b063e404362f3f5c25cd97ebd8b932da6f426e3676a00cafda5ac6c31e18144cbf2a81483a8cdf1780f8d SHA512 acf971177d506535d66c0cb93c702c13eeae567bb387d50d7b9e5950d9e7909708868b76868b7ce0b664513f52b4af782bc12db66c61496abcbb3058cff7dc4f
-EBUILD netbeans-standalone-11.1.ebuild 4537 BLAKE2B cb1a33b5994cafaeecf7ec5b8279829650fab06f51f30c18d00a0cea19cf9d84236269a131285511da2abef0c35e49a2213875b41283cc08afe99ea463ac2d69 SHA512 37d19a06470bd896848fb55c7d7a122932f0e0c620318caf4ee56034f4a4ec0512ce8db152d12ed2cbc95b2567e5b883d154c31b69d6b22866e427ce0f55e3b4
-EBUILD netbeans-standalone-9999.ebuild 4537 BLAKE2B cb1a33b5994cafaeecf7ec5b8279829650fab06f51f30c18d00a0cea19cf9d84236269a131285511da2abef0c35e49a2213875b41283cc08afe99ea463ac2d69 SHA512 37d19a06470bd896848fb55c7d7a122932f0e0c620318caf4ee56034f4a4ec0512ce8db152d12ed2cbc95b2567e5b883d154c31b69d6b22866e427ce0f55e3b4
+EBUILD netbeans-standalone-11.1.ebuild 5118 BLAKE2B 2d113925314a3785bd1c1b467fe3e160077266bf8ce5f404a41b295df7b3a2a251f3dddc39abc9ccc87a5c901c321ce57cd0468c8d62e78810c39cc8ecfcba22 SHA512 26220e8e81e93b36c54d6009c8e59b8bb1a76f235dc352876b0038e243b8322df966f2194ca21721caf13f99bdc8870fd8640b2408ccd07d35a8b6500fb67c6c
+EBUILD netbeans-standalone-9999.ebuild 5118 BLAKE2B 2d113925314a3785bd1c1b467fe3e160077266bf8ce5f404a41b295df7b3a2a251f3dddc39abc9ccc87a5c901c321ce57cd0468c8d62e78810c39cc8ecfcba22 SHA512 26220e8e81e93b36c54d6009c8e59b8bb1a76f235dc352876b0038e243b8322df966f2194ca21721caf13f99bdc8870fd8640b2408ccd07d35a8b6500fb67c6c
MISC metadata.xml 338 BLAKE2B 25922d9e4c7c4cd111db8b96e1dcb3cf026d9262b9d0861a4bcd49009303fc8535afd370e301d3f51f3127516c3b2561d6d6f56de0433a835f85fa15d1ab5012 SHA512 b7525dac3a4947550c33f096550e82644ed8a790e915a66ee627f81727f58fcbf0a055f298f8b45ee8d08da747fec79a8276a96ce0dcc43b847341166fbea4e9
diff --git a/dev-util/netbeans-standalone/netbeans-standalone-9999.ebuild b/dev-util/netbeans-standalone/netbeans-standalone-9999.ebuild
index bda59d1cf..e4cb26af1 100644
--- a/dev-util/netbeans-standalone/netbeans-standalone-9999.ebuild
+++ b/dev-util/netbeans-standalone/netbeans-standalone-9999.ebuild
@@ -69,11 +69,20 @@ src_install() {
doins -r .
rm -fr "${ED}"/${INSTALL_DIR}/ide/bin/nativeexecution/{Linux-{sparc_64,x86},MacOSX-{x86_64,x86},SunOS-{sparc,sparc_64,x86,x86_64},Windows-{x86,x86_64}} || die "Failed to remove unused binaries"
+ find "${ED}"/${INSTALL_DIR}/ \( -name *.exe -o -name *.cmd -o -name *.bat \) -type f -exec rm {} + || die "Failed to remove unused binaries"
rm -fr "${ED}"/${INSTALL_DIR}/profiler/lib/deployed/jdk15/{hpux-pa_risc2.0{,w},linux,mac,solaris-{amd64,i386,sparc{,v9}},windows{,-amd64}} || die "Failed to remove unused libraries"
rm -fr "${ED}"/${INSTALL_DIR}/profiler/lib/deployed/jdk16/{hpux-pa_risc2.0{,w},linux{,-arm,-arm-vfp-hflt},mac,solaris-{amd64,i386,sparc{,v9}},windows{,-amd64}} || die "Failed to remove unused libraries"
rm -fr "${ED}"/${INSTALL_DIR}/profiler/lib/deployed/cvm/windows || die "Failed to remove unused libraries"
rm -fr "${ED}"/${INSTALL_DIR}/platform/modules/lib/{i386,x86} || die "Failed to remove unused libraries"
- find "${ED}"/${INSTALL_DIR}/ \( -name *.exe -o -name *.dll \) -type f -exec rm {} + || die "Failed to remove unused libraries"
+ find "${ED}"/${INSTALL_DIR}/ -name *.dll -type f -exec rm {} + || die "Failed to remove unused libraries"
+
+ find "${ED}/${INSTALL_DIR}" -name "*.so*" -type f -exec chmod +x {} \; || die "Change .so permission failed"
+ exeinto ${INSTALL_DIR}/ide/bin/nativeexecution/Linux-x86_64/
+ doexe ide/bin/nativeexecution/Linux-x86_64/{process_start,stat,pty_open,sigqueue,killall,pty}
+ exeinto ${INSTALL_DIR}/java/maven/bin
+ doexe java/maven/bin/mvn{,Debug,yjp}
+ exeinto ${INSTALL_DIR}/extide/ant/bin
+ doexe extide/ant/bin/{ant{,Run,Run.pl},complete-ant-cmd.pl,runant.{pl,py}}
dodoc DEPENDENCIES NOTICE
dosym ${INSTALL_DIR}/bin/netbeans /usr/bin/${PN}-${SLOT}